# Created by pyp2rpm-3.3.8
%global pypi_name pysam
%global pypi_version 0.22.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Package for reading, manipulating, and writing genomic data

License:        MIT
URL:            https://github.com/pysam-developers/pysam
Source0:        %{pypi_name}-%{pypi_version}.tar.gz

BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  xz-devel
BuildRequires:  libcurl-devel
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
pysam a Python package for reading, manipulating, and writing genomic data
sets.pysam is a lightweight wrapper of the HTSlib API and provides facilities
to read and write SAM/BAM/CRAM/VCF/BCF/BED/GFF/GTF/FASTA/FASTQ files as well as
access to the command-line functionality of samtools and bcftools. The module
supports compression and random access through indexing.This module provides
a...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pysam a Python package for reading, manipulating, and writing genomic data
sets.pysam is a lightweight wrapper of the HTSlib API and provides facilities
to read and write SAM/BAM/CRAM/VCF/BCF/BED/GFF/GTF/FASTA/FASTQ files as well as
access to the command-line functionality of samtools and bcftools. The module
supports compression and random access through indexing.This module provides
a...

%package -n python-%{pypi_name}-doc
Summary:        pysam documentation
%description -n python-%{pypi_name}-doc
Documentation for pysam

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license bcftools/LICENSE htslib/LICENSE samtools/LICENSE samtools/lz4/LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license bcftools/LICENSE htslib/LICENSE samtools/LICENSE samtools/lz4/LICENSE

%changelog
* Tue Feb 20 2024 Aram Minasyan <aram_minasyan_at_yahoo_dot_com> - 0.22.0-1
- Initial package.
